<template lang="pug">
    v-card
        v-card-title Skeleton
        v-card-text
            question(
                v-for="question in questions"
                :question="question"
                @input="grabChange(question.name, $event)"
            )

</template>

<script>
import question from "../Question_Wrapper.vue";
export default {
    name: "Skeleton",
    props: {
        options: {
            required: true,
            type: Object
        },
        skeleton: {
            reqiured: true,
            type: Object
        }
    },
    data() {
        return {
            localSkeleton: null,
            questions: [
                {
                    label: "Orientation",
                    type: "select",
                    options: this.options.orientations,
                    name: "orientation",
                    value: this.skeleton.orientation
                },
                {
                    label: "Body",
                    type: "text",
                    name: "body",
                    value: this.skeleton.body
                },
                {
                    label: "Head",
                    type: "text",
                    name: "head",
                    value: this.skeleton.head
                },
                {
                    label: "Right Arm and Hand",
                    type: "text",
                    name: "right_arm_hand",
                    value: this.skeleton.right_arm_hand
                },
                {
                    label: "Left Arm and Hand",
                    type: "text",
                    name: "left_arm_hand",
                    value: this.skeleton.left_arm_hand
                },
                {
                    label: "Right Leg",
                    type: "text",
                    name: "right_leg",
                    value: this.skeleton.right_leg
                },
                {
                    label: "Left Leg",
                    type: "text",
                    name: "left_leg",
                    value: this.skeleton.left_leg
                },
                {
                    label: "Feet",
                    type: "text",
                    name: "feet",
                    value: this.skeleton.feet
                },
                {
                    label: "Degeneration in Situ",
                    type: "text",
                    name: "degeneration_in_situ",
                    value: this.skeleton.degeneration_in_situ
                },
                {
                    label: "Degeneration Post-Lift",
                    type: "text",
                    name: "degeneration_post_lift",
                    value: this.skeleton.degeneration_post_lift
                },
                {
                    label: "Other Comments",
                    type: "textArea",
                    name: "comments",
                    value: this.skeleton.comments
                },
                {
                    label: "Coffin Number",
                    type: "select",
                    name: "coffin",
                    value: this.skeleton.coffin
                },
                {
                    label: "Grave Cut Number",
                    type: "select",
                    name: "grave",
                    value: this.skeleton.grave
                }
            ]
        };
    },
    created() {
        this.localSkeleton = this.skeleton;
    },
    methods: {
        valueChanged() {
            this.$emit("input", {
                context: "Skeleton",
                data: this.localSkeleton
            });
        },
        grabChange(element, value) {
            this.localSkeleton[element] = value;
            this.valueChanged();
        }
    },
    components: {
        question
    }
};
</script>
